Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## game.gamestorage
Interface IF_SetGameStorage

All Known Subinterfaces:
  IF_SetGameStorageTH

All Known Implementing Classes:
  SetGameStorageTH_DB

    public interface IF_SetGameStorage

This abstract interface specifies all game independent methods - no matter, if Texas Holdem, Omaha...

Author:
  Witthold/Korol

Method Summary
`void` | `setEndCompetition(int[] ranking)` stores the ranking of the finished competition
`int` | `setGetGamedef(int limited, int minBet, int maxBet, int numPlayers, int style, int buyin)` sets parameters of current challenge - the gamedef gamedef_id is parameter of Estimation constructor - needed to estimate opponents by completed competitions - called after instanciating History and before instanciating Estimation
`void` | `setStartCompetition(java.lang.String[] players, int[] cashInit)` stores playernames and there cash when starting competion

Method Detail

### setGetGamedef

    int setGetGamedef(int limited,
                      int minBet,
                      int maxBet,
                      int numPlayers,
                      int style,
                      int buyin)

  sets parameters of current challenge - the gamedef gamedef_id is parameter of Estimation constructor
  - needed to estimate opponents by completed competitions
  - called after instanciating History and before instanciating Estimation

  Parameters:
    `limited` - - limited:1; pot-limit:0; no-limit: -1
    `minBet` - - only int possible
    `maxBet` - - only int possible
    `numPlayers` - - amount of participating players
    `style` - - cashgame:1; tournament:2; doyle:3;
    `buyin` - - only int possible
  Returns:
    gamedef_id

### setStartCompetition

    void setStartCompetition(java.lang.String[] players,
                             int[] cashInit)

  stores playernames and there cash when starting competion

  Parameters:
    `players` - - all participants as String[] playernames
    `cashInit` - - starting credits of every player

### setEndCompetition

    void setEndCompetition(int[] ranking)

  stores the ranking of the finished competition

  Parameters:
    `ranking` - of all participants

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD